//
//  PEAppDelegate.h
//  Persistency
//
//  Created by Felix Rohrer on 21.04.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface PEAppDelegate : UIResponder <UIApplicationDelegate>

@property (strong, nonatomic) UIWindow *window;

@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;

- (void)saveContext;
- (NSURL *)applicationDocumentsDirectory;

- (void)saveStringArray:(NSArray*)stringArray;
- (NSArray *)loadStringArray;
+ (NSURL *)arrayFileURL;


@property (strong, nonatomic) UINavigationController *navigationController;

@end
